Redmine - Defect #4364

Filtering by a List custom field gives Internal Server Error
2009-12-08 20:28 - Rahul Vaidya

Status: Closed Start date: 2009-12-08
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

Experienced in latest trunk. | have a List custom field with multiple values, and whenever | try to query issues using this field | get

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your redMine administrator for assistance.

History

#1 - 2009-12-08 21:42 - Jean-Philippe Lang

Can not reproduce. Please read SubmittingBugs, | need your stack trace.
#2 - 2009-12-08 22:15 - Rahul Vaidya

Sorry about that.

Using SQLite.

Stack trace:

ArgumentError (wrong number of arguments (6 for 5)):
app/models/query.rb:379:in “sql_for_field'

app/models/query.rb:379:in “statement'

app/models/query.rb:361:in "each_key'

app/models/query.rb:361:in “statement'
app/controllers/issues_controller.rb:64:in “index’

Rendering C:/Ruby/redmine-trunk/redmine/public/500.html (500 Internal Server Error)
#3 - 2009-12-08 23:32 - Jean-Philippe Lang

Rahul Vaidya wrote:

Experienced in latest trunk.

This trace shows that you're not using latest trunk. Please re-read SubmittingBugs.

#4 - 2009-12-09 00:24 - Rahul Vaidya

| am using r3137 and am experiencing this problem (with same stack trace).

Windows 2003 Server x64
Ruby 1.8.6

Rails 2.3.4

Running on Mongrel

| cannot run script/about, | do not have MySQL installed and | get errors about missing libmysql.dll

All the steps in http://www.redmine.org/wiki/redmine/RedmineUpgrade have been followed (I have an upgrade script that does everything).

#5 - 2009-12-09 10:19 - Jean-Philippe Lang

There's no call to Query#sql_for_field at source:/trunk/app/models/query.rb@3137#L.379.

#6 - 2009-12-09 18:47 - Rahul Vaidya
- Status changed from New to Resolved

How bizarre...

| deleted all the Ruby source files in the app folder and restored from SVN (svn update never gave any sort of error message) and things seem to
work now.

Sorry for all the trouble.

#7 - 2009-12-09 19:23 - Jean-Philippe Lang
- Status changed from Resolved to Closed

- Resolution set to Invalid

OK, thanks.
